com.genesyslab.wfm8.API.service.calendar850

## Class WeekdayAdjustmentPct

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar850.WeekdayAdjustmentPct

- All Implemented Interfaces:
    java.io.Serializable

      public class WeekdayAdjustmentPct
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `friPct` Friday Day Off adjustment
    `protected double` | `monPct` Monday Day Off adjustment
    `protected double` | `satPct` Saturday Day Off adjustment
    `private static long` | `serialVersionUID`
    `protected double` | `sunPct` Sunday Day Off adjustment
    `protected double` | `thuPct` Thursday Day Off adjustment
    `protected double` | `tuePct` Tuesday Day Off adjustment
    `protected double` | `wedPct` Wednesday Day Off adjustment

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeekdayAdjustmentPct()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getFriPct()` Gets the value of the friPct property.
    `double` | `getMonPct()` Gets the value of the monPct property.
    `double` | `getSatPct()` Gets the value of the satPct property.
    `double` | `getSunPct()` Gets the value of the sunPct property.
    `double` | `getThuPct()` Gets the value of the thuPct property.
    `double` | `getTuePct()` Gets the value of the tuePct property.
    `double` | `getWedPct()` Gets the value of the wedPct property.
    `int` | `hashCode()`
    `void` | `setFriPct(double value)` Sets the value of the friPct property.
    `void` | `setMonPct(double value)` Sets the value of the monPct property.
    `void` | `setSatPct(double value)` Sets the value of the satPct property.
    `void` | `setSunPct(double value)` Sets the value of the sunPct property.
    `void` | `setThuPct(double value)` Sets the value of the thuPct property.
    `void` | `setTuePct(double value)` Sets the value of the tuePct property.
    `void` | `setWedPct(double value)` Sets the value of the wedPct property.
    `java.lang.String` | `toString()`
    `WeekdayAdjustmentPct` | `withFriPct(double value)`
    `WeekdayAdjustmentPct` | `withMonPct(double value)`
    `WeekdayAdjustmentPct` | `withSatPct(double value)`
    `WeekdayAdjustmentPct` | `withSunPct(double value)`
    `WeekdayAdjustmentPct` | `withThuPct(double value)`
    `WeekdayAdjustmentPct` | `withTuePct(double value)`
    `WeekdayAdjustmentPct` | `withWedPct(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### sunPct

          protected double sunPct

      Sunday Day Off adjustment

    - #### monPct

          protected double monPct

      Monday Day Off adjustment

    - #### tuePct

          protected double tuePct

      Tuesday Day Off adjustment

    - #### wedPct

          protected double wedPct

      Wednesday Day Off adjustment

    - #### thuPct

          protected double thuPct

      Thursday Day Off adjustment

    - #### friPct

          protected double friPct

      Friday Day Off adjustment

    - #### satPct

          protected double satPct

      Saturday Day Off adjustment

  - ### Constructor Detail

    - #### WeekdayAdjustmentPct

          public WeekdayAdjustmentPct()

  - ### Method Detail

    - #### getSunPct

          public double getSunPct()

      Gets the value of the sunPct property.

    - #### setSunPct

          public void setSunPct(double value)

      Sets the value of the sunPct property.

    - #### getMonPct

          public double getMonPct()

      Gets the value of the monPct property.

    - #### setMonPct

          public void setMonPct(double value)

      Sets the value of the monPct property.

    - #### getTuePct

          public double getTuePct()

      Gets the value of the tuePct property.

    - #### setTuePct

          public void setTuePct(double value)

      Sets the value of the tuePct property.

    - #### getWedPct

          public double getWedPct()

      Gets the value of the wedPct property.

    - #### setWedPct

          public void setWedPct(double value)

      Sets the value of the wedPct property.

    - #### getThuPct

          public double getThuPct()

      Gets the value of the thuPct property.

    - #### setThuPct

          public void setThuPct(double value)

      Sets the value of the thuPct property.

    - #### getFriPct

          public double getFriPct()

      Gets the value of the friPct property.

    - #### setFriPct

          public void setFriPct(double value)

      Sets the value of the friPct property.

    - #### getSatPct

          public double getSatPct()

      Gets the value of the satPct property.

    - #### setSatPct

          public void setSatPct(double value)

      Sets the value of the satPct property.

    - #### withMonPct

          public WeekdayAdjustmentPct withMonPct(double value)

    - #### withTuePct

          public WeekdayAdjustmentPct withTuePct(double value)

    - #### withWedPct

          public WeekdayAdjustmentPct withWedPct(double value)

    - #### withThuPct

          public WeekdayAdjustmentPct withThuPct(double value)

    - #### withFriPct

          public WeekdayAdjustmentPct withFriPct(double value)

    - #### withSatPct

          public WeekdayAdjustmentPct withSatPct(double value)

    - #### withSunPct

          public WeekdayAdjustmentPct withSunPct(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.